org.apache.ignite.internal.commandline.argument

## Class CommandArgUtils

- java.lang.Object
- - org.apache.ignite.internal.commandline.argument.CommandArgUtils

    public class CommandArgUtils
    extends Object

Utility class for control.sh arguments.

### Method Summary

All Methods Static Methods Concrete Methods
`static <E extends Enum<E> & CommandArg> E` `of(String text, Class<E> enumClass)` Tries convert `text` to one of values `enumClass`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    @Nullable
    public static <E extends Enum<E> & CommandArg> E of(String text,
                                                                  Class<E> enumClass)

Tries convert `text` to one of values `enumClass`.

Type Parameters:
  `E` -
Parameters:
  `text` - Input test.
  `enumClass` - `CommandArg` enum class.
Returns:
  Converted argument or `null` if convert failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020